
Afian_Item.prototype.buildDOMobject_thumb = function () {

o = new Array();
/* creating the table */
o.table = document.createElement('TABLE');
o.table.className='icon_thumbs';
o.table.style.display='none';
o.table.id = this.id;
/*o.table.border=1;*/
o.tbody = document.createElement('TBODY');
o.table.appendChild(o.tbody);
/* adding a row */
o.tr1 = o.tbody.insertRow(0);
/* adding a cell*/
o.tr1_td = o.tr1.insertCell(0);
o.tr1_td.className='thumb_thumbs';
o.chkbox = document.createElement('INPUT');
o.chkbox.type='checkbox';
o.chkbox.className='iconCheckbox';
o.tr1_td.appendChild(o.chkbox);


if (is.IE) {
if (this.bigthumb) {
o.img = new Image(90,66);
} else {
o.img = new Image(32,32);
}

} else {
o.img = document.createElement('IMG');
}

o.img.src=this.thumb_img_src;
o.tr1_td.appendChild(o.img);

/* MSIE workaround(s)*/
o.img.onabort = imageReloadSrc;

o.table.title=this.icon_title;

/* adding the second row*/
o.tr2 = o.tbody.insertRow(1);
/* adding a cell to the second row */
o.tr2_td = o.tr2.insertCell(0);
o.tr2_td.className='iconTitle_thumbs';

o.table.onclick = AfianHandler.itemonclick;

if (this.ondblclk) {
o.table.ondblclick = AfianHandler.itemondblclick;
}

o.tr2_td_div = document.createElement('div');
o.tr2_td.appendChild(o.tr2_td_div);
o.tr2_td_div.innerHTML=this.icon_title;
o.tr2_td_div.title=this.icon_title;
o.tr2_td_div.setAttribute('selectable', '1');
this.obj = o;
}
